
/***********************************************************************************
 *
 * ItalaApi - Copyright (C) 2022 Opto Engineering
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY SUFFERED BY LICENSE AS
 * A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 ***********************************************************************************/

#ifndef ITALA_API_ITALADEFS_H
#define ITALA_API_ITALADEFS_H

namespace Itala {

enum class DeviceAccessStatus {
  Unknown = 0,
  AvailableReadWrite = 1,
  AvailableReadOnly = 2,
  Unreachable = 3,
  Busy = 4,
  AlreadyOpenReadWrite = 5,
  AlreadyOpenReadOnly = 6
};

enum class DefectType { Leaky, Hot, Cold };

enum class PixelDepth { d8Bit = 0, d10Bit = 1, d12it = 2 };

}  // namespace Itala

#endif
