
/***********************************************************************************
 *
 * ItalaApi - Copyright (C) 2023 Opto Engineering
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT
 * HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY SUFFERED BY LICENSE AS
 * A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 ***********************************************************************************/

#ifndef ITALA_API_C_EXPORT_H
#define ITALA_API_C_EXPORT_H

#ifdef ITALA_C_EXPORTS
  #ifdef _WIN32
    #define ITALA_API_C __declspec(dllexport)
  #else
    #define ITALA_API_C __attribute__((visibility("default")))
  #endif
#else
  #ifdef _WIN32
    #define ITALA_API_C __declspec(dllimport)
  #else
    #define ITALA_API_C
  #endif
#endif

#endif