# ItalaApi Changelog

## [1.4.1](https://git.opto-development.com/randd/itala-api/compare/v1.4.0...v1.4.1) (2024-11-19)


### Bug Fixes

* add YUV411_UYYVYY support in ToCvType() ([b4ac4dd](https://git.opto-development.com/randd/itala-api/commit/b4ac4dddcf17907572508e8f64ba5d74ddd0bd2c))
* no more dubplicates in virtual camera serial numbers ([f8c5eee](https://git.opto-development.com/randd/itala-api/commit/f8c5eee94a198692fad6fcacc6b2c78ecc77f4af))

## [1.4.0](https://git.opto-development.com/randd/itala-api/compare/v1.3.3...v1.4.0) (2024-7-18)


### Features

* add image decompression in itala-gentl ([7128e3c](https://git.opto-development.com/randd/itala-api/commit/7128e3ca6d10d08cb84db6c5a0f7d0e9fdf74833))
* add multithread decompression with std::lib ([9996449](https://git.opto-development.com/randd/itala-api/commit/99964496cff526aa2b78350119d0e5e6717d6cec))
* remove decompression cti configuration parameter ([d0df24e](https://git.opto-development.com/randd/itala-api/commit/d0df24e94d4e2cafe73018c3185b99e34f7a4c7a))
* update multithread decompression ([e4981af](https://git.opto-development.com/randd/itala-api/commit/e4981aff2c976d19c13e64b2a6d63e6c64b75a04))


### Bug Fixes

* Decompression destructor bug ([086fd64](https://git.opto-development.com/randd/itala-api/commit/086fd64b198840d75eded92a6a622ce4141b12da))
* Decompression destructor,  update itala-decompression commit sha ([342f358](https://git.opto-development.com/randd/itala-api/commit/342f3587b8dbbc0b23e624fabd0ddb48c3d1853e))
* decompression enabled flag ([9bbbd49](https://git.opto-development.com/randd/itala-api/commit/9bbbd49bfc4f25962fa2beaed407c76db3a87fc1))
* linux compatibility, solve chuck data, update consumer-app ([ad05583](https://git.opto-development.com/randd/itala-api/commit/ad055832e610f2d85d1d7dcec69ea43cd39465dd))
* manage decompr error as incomplete data, skip frame if header error ([845a107](https://git.opto-development.com/randd/itala-api/commit/845a10714f4de8ad1c1e894eda23499a2c0f52ed))
* remove install of itala-decompression ([2cf6224](https://git.opto-development.com/randd/itala-api/commit/2cf62248da2c7a3d46d79d04c5ae1a6cdf9211a4))
* update itala-decompression commit sha ([ce446c5](https://git.opto-development.com/randd/itala-api/commit/ce446c542d3b1bd53889c930dd3a978938d60b54))
* update opto vcpkg-registry ([2477b31](https://git.opto-development.com/randd/itala-api/commit/2477b31a417a58e51d7b636ce0ebf563bd463a96))

## [1.3.3](https://git.opto-development.com/randd/itala-api/compare/v1.3.2...v1.3.3) (2024-06-06)


### Bug Fixes

* remove infinite recursive code from timestamp frequency getter ([25386ae](https://git.opto-development.com/randd/itala-api/commit/25386aea8883f005774beb4a2f1926a3a651c8a9))

## [1.3.2](https://git.opto-development.com/randd/itala-api/compare/v1.3.1...v1.3.2) (2024-04-16)

## [1.3.1](https://git.opto-development.com/randd/itala-api/compare/v1.3.0...v1.3.1) (2024-03-15)


### Bug Fixes

* accept different color and polar layouts ([55996c5](https://git.opto-development.com/randd/itala-api/commit/55996c5f3ae34ac5ef68c8cf18054abd6411fb60))
* implement normalization for 10 and 12 bit images ([8be2be9](https://git.opto-development.com/randd/itala-api/commit/8be2be9955edae5ea6407c25b063d5e6f33332e5))


### Performance Improvements

* avoid exceptional code on EventGetData timeouts ([c53b120](https://git.opto-development.com/randd/itala-api/commit/c53b1202d1cdb3097d9019e1e6a977db2d524fff))

## [1.3.0](https://git.opto-development.com/randd/itala-api/compare/v1.2.4...v1.3.0) (2024-03-01)


### Features

* add direct linear images computation overload set ([52e108d](https://git.opto-development.com/randd/itala-api/commit/52e108d1205ac821c3b108daddca7220ef10424c))
* add polarized images support ([31cfb09](https://git.opto-development.com/randd/itala-api/commit/31cfb0969b20efa8f1b0a94a130e51909a90065f))
* add polarized pixel formats to custom PFNC header ([bf01d0b](https://git.opto-development.com/randd/itala-api/commit/bf01d0b8eef6bf5bb2a106ca850d88ae3b9c69db))
* add support for polarized formats conversion ([a16f5c2](https://git.opto-development.com/randd/itala-api/commit/a16f5c2552fad8dcecd1fe7a0ced12d7802d35fd))
